
package org.eclipse.birt.report.tests.engine.regression;

import org.eclipse.birt.report.tests.engine.EngineCase;

/**
 * <b>Bug description</b>
 * <p>
 * IRow/set/getBookmark don't work when using java base script.
 * <p>
 * <b>Test description</b>
 * <p>
 * This test makes sure that IRow/set/getBookmark works properly when using java
 * base script
 */
public class Regression_122092 extends EngineCase
{

	private final static String INPUT = "regression_122092.rptdesign";
	private final static String OUTPUT = "regression_122092.html";

	public void test_Regression_122092( ) throws Exception
	{
		runAndRender_HTML( INPUT, OUTPUT );
		Object obj = super.engineTask.getAppContext( ).get( "Bookmark" );
		assertTrue( obj instanceof String );
		assertEquals( "row-bookmark", obj.toString( ) );

	}
}